LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 08-03-2002, 06:08 PM   #1
jhsnyder
LQ Newbie
 
Registered: Aug 2002
Distribution: mdk82
Posts: 3

Rep: Reputation: 0
mozilla 1.0.0 and sun j2sdk1.4.0_01


Have anyone successfully installed the java plugin
libjavaplugin_oji.so from sun j2sdk1.4.0_01 into
mozilla 1.0.0?

I've seen advice in many places to link:

$JAVA/jre/plugin/i386/ns610/libjavaplugin_oji140.so

to
$MOZILLA/plugins

but a) with j2sdk1.4.0_01 the plugin is libjavaplugin_oji.so
and b) linked either as ..oji.so *or* ..oji140.so,

Help->AboutPlugins

doesn't see java.

Oddly, when I go to:

http://www.gemal.dk/browserspy/javajava.html

konqueror sees java.version 1.4.0_01, and says that java is
enabled and supported; mozilla says not so.

Any ideas gratefully accepted. No idea too silly to be
considered. :-)
 
Old 08-03-2002, 08:05 PM   #2
sankeny
Member
 
Registered: Jul 2002
Location: Indiana
Distribution: SuSE
Posts: 41

Rep: Reputation: 16
Mozilla and Java....

You are aware that Mozilla 1.0 has an issue with Java? There is a bug described here.....

http://bugzilla.mozilla.org/show_bug.cgi?id=83376

It involves the UserAgent described in pref.js

Take a look at this site....

http://plugindoc.mozdev.org/javalinux.html

And, create the link as libjavaplugin_oji140.so

Mozilla 1.1 Beta has a fix for this. You can edit the pref.js file as described in the Release Notes (under Known Problems | JavaScript Debugger).

Have a lot of fun!
 
Old 08-03-2002, 08:40 PM   #3
jhsnyder
LQ Newbie
 
Registered: Aug 2002
Distribution: mdk82
Posts: 3

Original Poster
Rep: Reputation: 0
Ah. I had looked at the mozdev.org page, but hadn't
figured out how to check the user agent, and simply
assumed that it was probably correct.

Thanks!
 
Old 08-03-2002, 09:21 PM   #4
sankeny
Member
 
Registered: Jul 2002
Location: Indiana
Distribution: SuSE
Posts: 41

Rep: Reputation: 16
Tell us if it works....

Personally, I am waiting for the release of 1.1

I came to Mozilla after trying Netscape 6 and having some disappointments. I started with the Netscape PreRelease Candidates, and I think my first Mozilla version was 0.9.4

I have kept up with the updates since and really like it. I have no use any longer for Netscape. Why not use the original which is Mozilla? I am very pleased with everything Mozilla has accomplished.

I am also considering downloading some of the other plugins/add-ons such as the PGP and mail filter add-ons. Those should be interesting.

As Mozilla matures, I think it will really become the best.
 
Old 08-03-2002, 09:58 PM   #5
neo77777
LQ Addict
 
Registered: Dec 2001
Location: Brooklyn, NY
Distribution: *NIX
Posts: 3,704

Rep: Reputation: 56
As for me mozilla1.0.0 works ok with java -1.4.1-beta-b14
 
Old 08-04-2002, 01:43 AM   #6
tied2
Member
 
Registered: Jun 2002
Location: Florida
Distribution: Redhat, FreeBSD, FC 6
Posts: 220

Rep: Reputation: 30
I tryed copying the pugin from the 1.4 version into the Mozilla plugin file and took out the 1.3 file ..but it didn't work the first website i went to it wanted to install the 1.3 plugin I would love to get this fixed as I chat in java (I know it's a bad habbit) and it locks up if I have more than two windows open. and some of the buttons arn't visable.
 
Old 08-04-2002, 02:01 AM   #7
neo77777
LQ Addict
 
Registered: Dec 2001
Location: Brooklyn, NY
Distribution: *NIX
Posts: 3,704

Rep: Reputation: 56
you shouldn't copying the plugin you need to symlink it with
ln -s /what/to/link /where/to/link
 
Old 08-04-2002, 03:08 AM   #8
tied2
Member
 
Registered: Jun 2002
Location: Florida
Distribution: Redhat, FreeBSD, FC 6
Posts: 220

Rep: Reputation: 30
so the simlink would go like this ln -s /usr/local/mozilla/plugins /usr/java/j2sdk1.4.0/jre/plugins is this right?
 
Old 08-04-2002, 03:55 AM   #9
neo77777
LQ Addict
 
Registered: Dec 2001
Location: Brooklyn, NY
Distribution: *NIX
Posts: 3,704

Rep: Reputation: 56
with a little correction to you need a symlink name and it is all the way around, to make things simplier
cd /usr/local/mozilla/plugins
ln -s /usr/java/j2sdk1.4.0/jre/plugin/i386/ns610/<at this point hit tab for autocompletion and enter>
ns610 is for mozilla 1.0

Last edited by neo77777; 08-04-2002 at 03:56 AM.
 
Old 08-04-2002, 09:22 AM   #10
jhsnyder
LQ Newbie
 
Registered: Aug 2002
Distribution: mdk82
Posts: 3

Original Poster
Rep: Reputation: 0
going back to why 1.4.0_01 won't work.. the first suggestion
was that the mozilla "USER_AGENT" isn't set correctly.

I checked my mozilla parameters on this useful page:

http://xml.unigrok.com/info.php

(scroll down to the Apache Environment)

and observe that USER_AGENT is indeed Mozilla/5.0,
which (if I understood correctly) is what jre wants the
USER_AGENT to be. (I'm using the mdk tweaked mozilla)

Hence the USER_AGENT bug wouldn't seem to explain
my problem.

I then regressed to the 1.4.0 (no _01) java, and see exactly
the same behavior.

With regard to symlinking: I've symlinked, not copied, so
I should be OK here too. (Why does copying not work??)

Haven't tried 1.4.1beta yet, but I have this strong suspicion
that there's some systemic problem, such as incorrect glibc.
(I'm running mdk82 with /lib/libc-2.2.4.so) I checked per-
missions - 755 - on libjavaplugin, no problem there.

Hmm, come to think of it, if there's a systemic problem, then
why does konqueror find the plugins?

Any other ideas?
 
Old 08-04-2002, 03:24 PM   #11
tied2
Member
 
Registered: Jun 2002
Location: Florida
Distribution: Redhat, FreeBSD, FC 6
Posts: 220

Rep: Reputation: 30
Ok I made the link ...when I go to browser spy it lists both versions of java i tried dsl reports and no differance and i also tried another java app ... no differance. Will mozilla automaticly use the newer version to run apps?
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Mozilla Java issue (1.7.3, J2sdk1.4.2_05) JCdude2525 Linux - General 1 11-19-2004 03:14 AM
Javascript trouble in mozilla after install java sun danchiaperini Red Hat 1 11-09-2004 04:40 PM
knoppix (Debain) Installing SUN Jdk 1.4.0_01 freakhead Linux - Newbie 2 07-28-2004 05:15 PM
Help in Cofigurating J2SDK1.4.2 Eros_ Linux - Software 16 07-21-2003 01:01 PM
New SUN J2RE 1.4.2 and Mozilla 1.3 madcoder Linux - Software 5 04-11-2003 01:52 PM


All times are GMT -5. The time now is 09:03 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration